<?php
/**
 * Available variable: $post.
 *
 * @package pixigo
 */

wp_nonce_field( 'pixigo_metabox', 'pixigo_metabox_nonce', true, true );

$pixigo_retrieve_options = get_post_meta( $post->ID, '_pixigo_indi_post_options', true );
$options                 = pixigo_post_customization_options();

?>

<?php foreach ( $options as $name => $string ) : ?>

	<label>
		<input
			type="checkbox"
			name="pixigo_indi_post_options[ <?php echo $name; // WPCS: XSS OK. ?> ]"
			<?php echo ( isset( $pixigo_retrieve_options[ $name ] ) && $pixigo_retrieve_options[ $name ] ) ? 'checked' : ''; ?>
		>
		Hide <?php echo $string; // WPCS: XSS OK. ?>
	</label>
	<br>

	<?php
	if ( 'featured_image' === $name ) {
		break;
	}

endforeach; ?>
